org.h2.command.dml

## Class BackupCommand

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.dml.BackupCommand

    public class BackupCommand
    extends Prepared

This class represents the statement BACKUP

### Field Summary

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

### Constructor Summary

Constructors
Constructor and Description
`BackupCommand(SessionLocal session)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `correctFileName(java.lang.String f)` Fix the file name, replacing backslash with slash.
`int` `getType()` Get the command type as defined in CommandInterface
`boolean` `isTransactional()` Check if this command is transactional.
`boolean` `needRecompile()` Check if the statement needs to be re-compiled.
`ResultInterface` `queryMeta()` Get an empty result set containing the meta data.
`void` `setFileName(Expression fileName)`
`long` `update()` Execute the statement.

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isCacheable, isQuery, isReadOnly, isWithParamValues, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BackupCommand

    public BackupCommand(SessionLocal session)

### Method Detail

#### setFileName

    public void setFileName(Expression fileName)

#### update

    public long update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### isTransactional

    public boolean isTransactional()

Description copied from class: `Prepared`
Check if this command is transactional. If it is not, then it forces the current transaction to commit.

Specified by:
  `isTransactional` in class `Prepared`
Returns:
  true if it is

#### correctFileName

    public static java.lang.String correctFileName(java.lang.String f)

Fix the file name, replacing backslash with slash.

Parameters:
  `f` - the file name
Returns:
  the corrected file name

#### needRecompile

    public boolean needRecompile()

Description copied from class: `Prepared`
Check if the statement needs to be re-compiled.

Overrides:
  `needRecompile` in class `Prepared`
Returns:
  true if it must

#### queryMeta

    public ResultInterface queryMeta()

Description copied from class: `Prepared`
Get an empty result set containing the meta data.

Specified by:
  `queryMeta` in class `Prepared`
Returns:
  the result set

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type